in scala.actors
class ThreadPoolScheduler

`class` ThreadPoolScheduler
  `extends` java.lang.Thread
  `with` scala.actors.IScheduler
  `with` scala.ScalaObject

  This scheduler uses a thread pool to execute tasks that are generated by the execution of actors. This scheduler is only available on Java >= 1.5 since it uses `java.util.concurrent.ThreadPoolExecutor`.

Version:
  0.9.4
Author:
  Philipp Haller

Constructor Summary
| `def` this

Val Summary
| `val` prop : java.lang.String

Val inherited from scala.actors.IScheduler
QUIT_TASK

Var Summary
| `var` initCoreSize : scala.Int
| `var` maxSize : scala.Int

Var inherited from java.lang.Thread
inheritableThreadLocals , threadLocals

Def Summary
| `def` execute (item: scala.actors.Reaction) : scala.Unit
| `def` getTask (worker: scala.actors.WorkerThread) : scala.Null
| `def` onLockup (handler: () => scala.Unit) : scala.Unit
| `def` onLockup (millis: scala.Int)(handler: () => scala.Unit) : scala.Unit
| `def` pendReaction : scala.Unit
| `def` printActorDump : scala.Unit
`override` | `def` run : scala.Unit
| `def` shutdown : scala.Unit Shuts down all idle worker threads.
| `def` start (task: scala.actors.Reaction) : scala.Unit
| `def` terminated (a: scala.actors.Actor) : scala.Unit
| `def` tick (a: scala.actors.Actor) : scala.Unit
| `def` unPendReaction : scala.Unit

Def inherited from java.lang.Thread
blockedOn , checkAccess, countStackFrames, destroy, getContextClassLoader, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, interrupt, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setName, setPriority, setUncaughtExceptionHandler, start, stop, stop, suspend, toString

Def inherited from scala.actors.IScheduler
execute , getTask, onLockup, onLockup, pendReaction, printActorDump, shutdown, start, start, terminated, tick, unPendReaction

Constructor Detail

`def` this

Val Detail

`val` prop : java.lang.String

Var Detail

`var` initCoreSize : scala.Int

`var` maxSize : scala.Int

Def Detail

`def` execute (item: scala.actors.Reaction): scala.Unit

Parameters:
  `item -` the task to be executed.

`def` getTask (worker: scala.actors.WorkerThread): scala.Null

Parameters:
  `worker -` the worker thread executing tasks
Returns:
  the executed task

`def` onLockup (handler: () => scala.Unit): scala.Unit

`def` onLockup (millis: scala.Int)(handler: () => scala.Unit): scala.Unit

`def` pendReaction : scala.Unit

`def` printActorDump : scala.Unit

`override def` run : scala.Unit

`def` shutdown : scala.Unit

  Shuts down all idle worker threads.

`def` start (task: scala.actors.Reaction): scala.Unit

`def` terminated (a: scala.actors.Actor): scala.Unit

`def` tick (a: scala.actors.Actor): scala.Unit

Parameters:
  `a -` the actor

`def` unPendReaction : scala.Unit